Summary: Very small and fast Window Manager
Name: blackbox
Version: 0.70.1
Release: 6%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://blackboxwm.sourceforge.net/
Source0: http://downloads.sf.net/blackboxwm/blackbox-%{version}.tar.bz2
Source1: blackbox.desktop
Source2: blackbox.session
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# Use monolithic X up to FC4, and modular X for FC5+ and non-Fedora
%if %{!?fedora:6}%{?fedora} >= 5
BuildRequires: libXt-devel, libXext-devel, libXft-devel
%else
BuildRequires: xorg-x11-devel
%endif
# Required for autoreconf
BuildRequires: automake, autoconf, libtool

%description
Blackbox is a window manager for the X Window environment, which is
almost completely compliant with ICCCM specified operation policies.
It features nice and fast interface with multiple workspaces and
simple menus. Fast built-in graphics code that can render solids,
gradients and bevels is used to draw window decorations. Remaining
small in size, blackbox preserves memory and CPU.


%package devel
Summary: Blackbox Toolbox library for writing small applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig
# Use monolithic X up to FC4, and modular X for FC5+ and non-Fedora
%if %{!?fedora:6}%{?fedora} >= 5
Requires: libXft-devel
%else
Requires: xorg-x11-devel
%endif

%description devel
This package contains the Blackbox Toolbox files, headers and static library
of the utility class library for writing small applications.


%prep
%setup -q
# Required to cleanly get rid of the useless rpath
autoreconf


%build
%configure \
    --enable-shared \
    --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall

# Install the desktop entry
%{__install} -D -p -m 0644 %{SOURCE1} \
    %{buildroot}%{_datadir}/xsessions/blackbox.desktop

# Install GDM session file
%{__install} -D -p -m 0755 %{SOURCE2} \
    %{buildroot}/etc/X11/gdm/Sessions/Blackbox


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COMPLIANCE LICENSE README* RELNOTES TODO
/etc/X11/gdm/Sessions/Blackbox
%{_bindir}/blackbox
%{_bindir}/bsetbg
%{_bindir}/bsetroot
%{_bindir}/bstyleconvert
%{_libdir}/libbt.so.*
%{_datadir}/blackbox/
%{_datadir}/xsessions/blackbox.desktop
%{_mandir}/man1/blackbox.1*
%{_mandir}/man1/bsetbg.1*
%{_mandir}/man1/bsetroot.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/bt/
%exclude %{_libdir}/libbt.la
%{_libdir}/libbt.so
%{_libdir}/pkgconfig/libbt.pc


%changelog
* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.70.1-6
- Switch to shared libbt library, so have devel require main and call ldconfig.
- Make the GDM session file be a separate source.
- Autoreconf to cleanly get rid of the useless rpath.
- Add missing libXft-devel build requirement.
- Switch to using downloads.sf.net source URL.
- Minor spec file tweaks.
- Add new libXft-devel devel sub-package requirement.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.70.1-5
- FC6 rebuild.
- Remove gcc-c++ build requirement and devel sub-package requirement.
- Remove pkgconfig buildd requirement, as it's pulled in by Xorg devel now.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 0.70.1-4
- FC5 rebuild.

* Wed Feb  8 2006 Matthias Saou <http://freshrpms.net/> 0.70.1-3
- Rebuild for new gcc/glibc.

* Mon Jan 23 2006 Matthias Saou <http://freshrpms.net/> 0.70.1-2
- Add conditional to build with/without modular X depending on FC version.

* Thu Nov  3 2005 Matthias Saou <http://freshrpms.net/> 0.70.1-1
- Update to 0.70.1.

* Sat Mar 12 2005 Matthias Saou <http://freshrpms.net/> 0.70.0-1
- Update to 0.70.0.
- Use bz2 source instead of gz.
- Add devel sub-package for the libbt stuff.

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 0.65.0-10
- Bump release to provide Extras upgrade path.

* Mon Nov 15 2004 Matthias Saou <http://freshrpms.net/> 0.65.0-9
- Added gcc 3.4 patch from Arch Linux.

* Thu May  6 2004 Matthias Saou <http://freshrpms.net/> 0.65.0-8
- Removed switchdesk file, it doesn't work because of hardcoded stuff.

* Wed Mar 24 2004 Matthias Saou <http://freshrpms.net/> 0.65.0-8
- Removed explicit XFree86 dependency.

* Mon Feb 23 2004 Matthias Saou <http://freshrpms.net/> 0.65.0-7
- Added blackbox.desktop file for xsessions based on the GNOME one.

* Tue Feb 10 2004 Scott R. Godin <nospam@webdragon.net> 0.65.0-6
- Patch for #include <cassert> in Window.cc
- Fixed nls problem, left in --disable just in case. Smile, Matthias. :-)

* Fri Nov 14 2003 Matthias Saou <http://freshrpms.net/> 0.65.0-5
- Rebuild for Fedora Core 1.

* Wed May 14 2003 Matthias Saou <http://freshrpms.net/>
- Added --without nls to enable rebuilding on Red Hat Linux 9 :-(

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9.

* Sun Oct  6 2002 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 8.0.

* Fri Sep 20 2002 Matthias Saou <http://freshrpms.net/>
- Update to 0.65.0 final.

* Mon Aug 12 2002 Matthias Saou <http://freshrpms.net/>
- Initial RPM release.

